> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Upload deployment file content

PUT https://astropods.com/api/v1/deployments/{id}/files/{fileKey}/content
Content-Type: application/octet-stream

Streams the file bytes to the reserved key (server-received upload path).

Reference: https://docs.astropods.com/api-reference/astropods-api/chat/upload-deployment-file-content

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID
- `fileKey` (string, required) — File key

### Body (application/octet-stream)

This endpoint expects binary data of type application/octet-stream.

- Binary request body.

## Response

### 200

OK

- `content_type` (string, optional)
- `key` (string, optional)
- `name` (string, optional)
- `size` (long, optional)
- `updated_at` (string, optional)
- `uploaded_by` (string, optional)

## Errors

### 413 Content Too Large Error

Request Entity Too Large

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 507 Insufficient Storage Error

Insufficient Storage

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Examples

**Response**

```json
{
  "content_type": "string",
  "key": "string",
  "name": "string",
  "size": 1,
  "updated_at": "string",
  "uploaded_by": "string"
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/files/fileKey/content"

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/octet-stream"
}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/files/fileKey/content';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/files/fileKey/content"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/octet-stream")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/files/fileKey/content")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/octet-stream'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://astropods.com/api/v1/deployments/id/files/fileKey/content")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/octet-stream")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://astropods.com/api/v1/deployments/id/files/fileKey/content', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/octet-stream',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/files/fileKey/content");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/octet-stream");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/octet-stream"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/files/fileKey/content")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```